/********** Template CSS **********/
html body{
    height: 100vh; 
    margin: 0;
    padding: 0;
    box-sizing: border-box;
 

}
:root {
    --primary: #6222CC;
    --secondary: #FBA504;
    --light: #F6F4F9;
    --dark: #04000B;
}

/*** Spinner ***/

#spinner {
    opacity: 0;
    visibility: hidden;
    transition: opacity .5s ease-out, visibility 0s linear .5s;
    z-index: 99999;
}

#spinner.show {
    transition: opacity .5s ease-out, visibility 0s linear 0s;
    visibility: visible;
    opacity: 1;
}

.back-to-top {
    position: fixed;
    display: none;
    right: 45px;
    bottom: 45px;
    z-index: 99;
}

/*** Heading ***/

h1,
h2,
.fw-bold {
    font-weight: 700 !important;
}

h3,
h4,
.fw-semi-bold {
    font-weight: 600 !important;
}

h5,
h6,
.fw-medium {
    font-weight: 500 !important;
}

/*** Button ***/

.btn {
    font-weight: 500;
    transition: .5s;
}

.btn:hover {
    box-shadow: 0 0 10px rgba(0, 0, 0, .5);
 
}

.btn-square {
    width: 38px;
    height: 38px;
}

.btn-sm-square {
    width: 32px;
    height: 32px;
}

.btn-lg-square {
    width: 48px;
    height: 48px;
}

.btn-square,
.btn-sm-square,
.btn-lg-square {
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: normal;
    border-radius: 50px;
}

/*** Navbar ***/

/* White navbar with black text */
.navbar-light {
    background-color: #ffffff; /* White background */
    color: #000000; /* Black text */
}

/* Navbar links text color */
.navbar-light .navbar-nav .nav-link {
    
    color: #000000 !important; /* Black text for links */
}

/* Brand text color */
.navbar-light .navbar-brand h1 {
    color: #000000; /* Black text for brand name */
}

/* When hovering or active, change the link color */
.navbar-light .navbar-nav .nav-link:hover,
.navbar-light .navbar-nav .nav-link.active {
    color: var(--secondary) !important; 
}

/* Adjusting the dropdown icon */
.navbar .dropdown-toggle::after {
    border: none;
    content: "\f067";
    font-family: "Font Awesome 5 Free";
    font-size: 10px;
    font-weight: bold;
    vertical-align: middle;
    margin-left: 8px;
}

/* Navbar link padding */
.navbar-light .navbar-nav .nav-link {
    position: relative;
    margin-right: 25px;
    padding: 35px 0;
    font-family: 'Jost', sans-serif;
    font-size: 18px;
    font-weight: 500;
    color: #000000 !important; /* Ensure black text color */
    outline: none;
    transition: .5s;
}

/* Sticky navbar */
.sticky-top.navbar-light .navbar-nav .nav-link {
    padding: 20px 0;
    color: #000000!important; /* Black text on sticky */
}
.sticky-top.navbar-light .navbar-nav .nav-link.active {
    color: var(--secondary) !important;
}
.sticky-top.navbar-light .navbar-nav .nav-link:hover {
    color: var(--secondary) !important; 
}

/* Navbar brand image styling */
.navbar-light .navbar-brand img {
    max-height: 60px;
    transition: .5s;
}

.sticky-top.navbar-light .navbar-brand img {
    max-height: 60px;
}

@media (max-width: 991.98px) {
    .sticky-top.navbar-light {
        position: relative;
        background: #FFFFFF;
    }
    .navbar-light .navbar-collapse {
        margin-top: 15px;
        border-top: 1px solid #DDDDDD;
    }
    .navbar-light .navbar-nav .nav-link,
    .sticky-top.navbar-light .navbar-nav .nav-link {
        padding: 10px 0;
        margin-left: 0;
        color: var(--dark) !important;
    }
    .navbar-light .navbar-brand h1 {
        color: var(--primary);
    }
    .navbar-light .navbar-brand img {
        max-height: 45px;
    }
}

@media (min-width: 992px) {
    .navbar-light {
        position: absolute;
        width: 100%;
        top: 0;
        left: 0;
        border-bottom: 1px solid rgba(256, 256, 256, .1);
        z-index: 999;
    }
    .sticky-top.navbar-light {
        position: fixed;
        background: #FFFFFF;
    }
    .sticky-top.navbar-light .navbar-brand h1 {
        color: var(--primary);
    }
    .navbar-light .navbar-nav .nav-item .dropdown-menu {
        display: block;
        border: none;
        margin-top: 0;
        top: 150%;
        opacity: 0;
        visibility: hidden;
        transition: .5s;
    }
    .navbar-light .navbar-nav .nav-item:hover .dropdown-menu {
        top: 100%;
        visibility: visible;
        transition: .5s;
        opacity: 1;
    }
    .navbar-light .btn {
        color: var(--dark);
        background: #FFFFFF;
    }
    .sticky-top.navbar-light .btn {
        color: var(--dark);
        background: var(--secondary);
    }
}

/*** Hero Header ***/

.hero-header {
    margin-bottom: 2rem; /* Reduce space below the curve */
    padding: 12rem 0; /* Adjust padding for the curve */
    background: url(../img/blob-top-left.png), 
                url(../img/blob-top-right.png), 
                url(../img/blob-bottom-left.png), 
                url(../img/blob-bottom-right.png), 
                url(../img/blob-center.png), 
                url(../img/bg-bottom.png);
    background-position: left 0px top 0px, 
                         right 0px top 0px, 
                         left 0px bottom 0px, 
                         right 0px bottom 0px, 
                         center center, 
                         center bottom;
    background-repeat: no-repeat;
}

@media (max-width: 991.98px) {
    .hero-header {
        padding: 6rem 0 9rem 0;
    }
}

/*** Section Title ***/

.section-title {
    position: relative;
    display: flex;
    align-items: center;
    font-weight: 500;
    font-size:22px;
    text-transform: uppercase;
    margin-top:20px;
}

.section-title span:first-child,
.section-title span:last-child {
    position: relative;
    display: inline-block;
    margin-right: 30px;
    width: 30px;
    height: 2px;
}

.section-title span:last-child {
    margin-right: 0;
    margin-left: 30px;
}

.section-title span:first-child::after,
.section-title span:last-child::after {
    position: absolute;
    content: "";
    width: 15px;
    height: 2px;
    top: 0;
    right: -20px;
}

.section-title span:last-child::after {
    right: auto;
    left: -20px;
}

.section-title.text-primary span:first-child,
.section-title.text-primary span:last-child,
.section-title.text-primary span:first-child::after,
.section-title.text-primary span:last-child::after {
    background: var(--primary);
}

.section-title.text-secondary span:first-child,
.section-title.text-secondary span:last-child,
.section-title.text-secondary span:first-child::after,
.section-title.text-secondary span:last-child::after {
    background: var(--secondary);
}

.section-title.text-white span:first-child,
.section-title.text-white span:last-child,
.section-title.text-white span:first-child::after,
.section-title.text-white span:last-child::after {
    background: #FFFFFF;
}

/*** Feature ***/

.feature-item {
    transition: .5s;
}

.feature-item:hover {
    margin-top: -15px;
}

/*** About ***/

.progress {
    height: 5px;
}

.progress .progress-bar {
    width: 0px;
    transition: 3s;
}

/*** Fact ***/

.fact {
    margin: 6rem 0;
    background: url(../img/blob-top-left.png), url(../img/blob-top-right.png), url(../img/blob-bottom-left.png), url(../img/blob-bottom-right.png), url(../img/blob-center.png);
    background-position: left 0px top 0px, right 0px top 0px, left 0px bottom 0px, right 0px bottom 0px, center center;
    background-repeat: no-repeat;
}

/*** Service ***/

.service-item {
    position: relative;
    padding: 45px 30px;
    background: var(--light);
    overflow: hidden;
    transition: .5s;
}

.service-item:hover {
    margin-top: -15px;
    padding-bottom: 60px;
    background: var(--primary);
}

.service-item .service-icon {
    margin: 0 auto 20px auto;
    width: 100px;
    height: 100px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--light);
    background: url(../img/blob-primary.png) center center no-repeat;
    background-size: contain;
    transition: .5s;
}

.service-item:hover .service-icon {
    color: var(--dark);
    background: url(../img/blob-secondary.png) center center no-repeat;
    background-size: contain;
}

.service-item h5,
.service-item p {
    transition: .5s;
}

.service-item:hover h5,
.service-item:hover p {
    color: #FFFFFF;
}

.service-item a.btn {
    position: absolute;
    bottom: -40px;
    left: 50%;
    transform: translateX(-50%);
    color: var(--primary);
    background: #FFFFFF;
    border-radius: 40px 40px 0 0;
    transition: .5s;
    z-index: 1;
}

.service-item a.btn:hover {
    color: var(--dark);
    background: var(--secondary);
}

.service-item:hover a.btn {
    bottom: 0;
}

/*** Project Portfolio ***/

#portfolio-flters li {
    display: inline-block;
    font-weight: 500;
    color: var(--dark);
    cursor: pointer;
    transition: .5s;
    border-bottom: 2px solid transparent;
}

#portfolio-flters li:hover,
#portfolio-flters li.active {
    color: var(--primary);
    border-color: var(--primary);
}

.portfolio-item img {
    transition: .5s;
}

.portfolio-item:hover img {
    transform: scale(1.1);
}

.portfolio-item .portfolio-overlay {
    position: absolute;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background: rgba(98, 34, 204, .9);
    transition: .5s;
    opacity: 0;
}

.portfolio-item:hover .portfolio-overlay {
    opacity: 1;
}

/*** Newsletter ***/

.newsletter {
    margin: 6rem 0;
    background: url(../img/blob-top-left.png), url(../img/blob-top-right.png), url(../img/blob-bottom-left.png), url(../img/blob-bottom-right.png), url(../img/blob-center.png);
    background-position: left 0px top 0px, right 0px top 0px, left 0px bottom 0px, right 0px bottom 0px, center center;
    background-repeat: no-repeat;
}

/*** Testimonial ***/

.testimonial-carousel .testimonial-item {
    padding: 0 30px 30px 30px;
}

.testimonial-carousel .owl-nav {
    display: flex;
    justify-content: center;
}

.testimonial-carousel .owl-nav .owl-prev,
.testimonial-carousel .owl-nav .owl-next {
    margin: 0 12px;
    width: 60px;
    height: 60px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--primary);
    background: var(--light);
    border-radius: 60px;
    font-size: 22px;
    transition: .5s;
}

.testimonial-carousel .owl-nav .owl-prev:hover,
.testimonial-carousel .owl-nav .owl-next:hover {
    color: #FFFFFF;
    background: var(--primary);
    box-shadow: 0 0 10px rgba(0, 0, 0, .5);
}

/*** Team ***/

.team-item .btn {
    color: var(--primary);
    background: #FFFFFF;
}

.team-item .btn:hover {
    color: #FFFFFF;
    background: var(--primary);
}

/*** Footer ***/

.footer {
    margin-top: 6rem;
    padding-top: 9rem;
    background: url(../img/bg-top.png), url(../img/map.png);
    background-position: center top, center center;
    background-repeat: no-repeat;
}


.footer-content {
    display: flex;
    justify-content: space-between;
    width: 100%;
  }

  .footer-right {
    flex: 1;
    text-align: right;
  }
  
  .contact-form {
    background-color:transparent;
    padding: 1.5rem;
    margin:0;

  }
  
  .contact-form h4 {
    margin-bottom: 1rem;
    color: #fff;
  }
  
  .contact-form input,
  .contact-form textarea {
    width: 100%;
    margin-bottom: 1rem;
    padding: 0.8rem;
    border: none;
    border-radius: 0.3rem;
    font-size: 1rem;
  }
  
  .contact-form button {
    background-color: #ff9900;
    color: #fff;
    border: none;
    padding: 0.8rem 1.5rem;
    border-radius: 0.3rem;
    cursor: pointer;
    font-size: 1rem;
  }
  
  .contact-form button:hover {
    background-color: #d2c5e0;
    color:black;
    box-shadow: 0 0 10px rgba(0, 0, 0, .5);
  }
  @media (max-width: 768px) {
    .footer-container {
      flex-direction: column;
      text-align: center;
    }
  
    .footer-right {
      margin-top: 2rem;
    }
  }
  
  /* Error Styles */
.error {
    border: 2px solid #ff4d4d;
  }
  
  .error-message {
    color: #ff4d4d;
    font-size: 0.9rem;
    margin-top: 0.3rem;
    display: block;
  }
  
  /* Success Message Styles */
  .success-message {
    text-align: center;
    color: #fff;
    background-color: #76d079;
    padding: 2rem;
    border-radius: 0.5rem;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.3);
    animation: fadeIn 0.5s ease-in-out;
  }
  
  .success-message h3 {
    font-size: 1.8rem;
    margin-bottom: 1rem;
  }
  
  .success-message p {
    font-size: 1.2rem;
  }
  
  /* Fade-In Animation */
  @keyframes fadeIn {
    from {
      opacity: 0;
      transform: scale(0.9);
    }
    to {
      opacity: 1;
      transform: scale(1);
    }
  }
  
.footer .btn.btn-social {
    margin-right: 5px;
    width: 40px;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--light);
    border: 1px solid rgba(256, 256, 256, .1);
    border-radius: 40px;
    transition: .3s;
}

.footer .btn.btn-social:hover {
    color: var(--primary);
}

.footer .btn.btn-link {
    display: block;
    margin-bottom: 10px;
    padding: 0;
    text-align: left;
    color: var(--light);
    font-weight: normal;
    transition: .3s;
}

.footer .btn.btn-link::before {
    position: relative;
    content: "\f105";
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    margin-right: 10px;
}

.footer .btn.btn-link:hover {
    letter-spacing: 1px;
    box-shadow: none;
    color: var(--secondary);
}

.footer .copyright {
    padding: 25px 0;
    font-size: 14px;
    border-top: 1px solid rgba(256, 256, 256, .1);
}

.footer .copyright a {
    color: var(--light);
}

.footer .footer-menu a {
    margin-right: 15px;
    padding-right: 15px;
    border-right: 1px solid rgba(255, 255, 255, .1);
}

.footer .footer-menu a:last-child {
    margin-right: 0;
    padding-right: 0;
    border-right: none;
}

.footer .copyright a:hover,
.footer .footer-menu a:hover {
    color: var(--secondary);
}